Debian Bug report logs - #674880
RM: libgii -- RoQA; orphaned, dead upstream

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Ricardo Mones <mones@debian.org>

Date: Mon, 28 May 2012 12:33:34 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bradsmith@debian.org, wnpp@debian.org:
Bug#674880; Package wnpp. (Mon, 28 May 2012 12:33:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
New Bug report received and forwarded. Copy sent to bradsmith@debian.org, wnpp@debian.org. (Mon, 28 May 2012 12:33:43 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: submit@bugs.debian.org
Subject: O: libgii -- General Input Interface runtime libraries
Date: Mon, 28 May 2012 14:31:35 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of libgii, Bradley Smith <bradsmith@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you will have enough time and attention to work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: libgii
Binary: libgii1, libgii1-target-x, libgii1-dev
Version: 1:1.0.2-4.1
Maintainer: Bradley Smith <bradsmith@debian.org>
Build-Depends: debhelper (>= 7), libx11-dev, xutils-dev, libxt-dev, quilt
Architecture: any
Standards-Version: 3.8.0
Format: 1.0
Files:
 fbdc2c1301974fb80b989e204ac63a6a 1947 libgii_1.0.2-4.1.dsc
 205ca1d87042c8e4aafecd6da7c9de39 1024150 libgii_1.0.2.orig.tar.gz
 a4773d51a1feda21a0e6403061a08700 22583 libgii_1.0.2-4.1.diff.gz
Vcs-Browser: http://git.brad-smith.co.uk/?p=debian/pkg-libgii.git
Vcs-Git: http://git.brad-smith.co.uk/git/debian/pkg-libgii.git
Checksums-Sha1:
 75feb49e33d833f24cd7907162f7c7e2fca0fe34 1947 libgii_1.0.2-4.1.dsc
 537571e4669893a269e2954cbb6fbcfec6e8c4c1 1024150 libgii_1.0.2.orig.tar.gz
 ec4c14fd2d87a032b717dc2e560311207ad08818 22583 libgii_1.0.2-4.1.diff.gz
Checksums-Sha256:
 a0582bc054471221cc362c97dc811acf31b5aceda11543b8ea778371d572c6f4 1947 libgii_1.0.2-4.1.dsc
 b4d8cdb85b235ddd68cc63367369ae230b732cd948c85c711474ac591bebfde0 1024150 libgii_1.0.2.orig.tar.gz
 e0838ca5f3dea92cffa85ef449bb12f4d0be4670e998e520297aaf54b8de6941 22583 libgii_1.0.2-4.1.diff.gz
Homepage: http://www.ggi-project.org/
Package-List: 
 libgii1 deb libs optional
 libgii1-dev deb libdevel optional
 libgii1-target-x deb libs optional
Directory: pool/main/libg/libgii
Priority: source
Section: libs

Package: libgii1
Source: libgii
Version: 1:1.0.2-4.1
Installed-Size: 624
Maintainer: Bradley Smith <bradsmith@debian.org>
Architecture: amd64
Replaces: libgg0, libggi1 (<< 981030)
Provides: libgg0
Depends: libc6 (>= 2.7), libx11-6
Recommends: libgii1-target-x (= 1:1.0.2-4.1)
Conflicts: libgg0, libggi1, libgii0
Description-en: General Input Interface runtime libraries
 "General Graphics Interface" - a fast, portable graphics environment.
 .
 This package contains the shared libraries for LibGII, the input library
 developed by the GGI project. Also included is LibGG, the library
 containing GGI's configuration and target option parsing code.
 .
 Install libgii-target packages for specific input modules!
 .
 This package contains input modules for these devices:
 .
  null         - Dummy input device which never generates any input
  stdin        - Characters from standard input
  file         - Input saved by the "save" input filter
  tcp          - Input from a socket
  linux_kbd    - Raw Linux keyboard devices
  linux_mouse  - Linux mouse devices
  linux_joy    - Linux joystick devices
  linux_evdev  - New style HIDs
  mouse        - Mice of all sorts: Microsoft, MouseSystems, Logitech, Sun,
               - MouseMan, MMSeries, BusMouse and PS2
  spaceorb     - SpaceOrb 3D input device
 .
 Usually, it is not necessary to specify which of these input devices you
 want to use; LibGGI normally finds an appropriate input device.
 .
 These input filter modules are also included:
 .
  mouse        - Generic mouse event generator
  save         - Save away an event stream for later playback
  keytrans     - Generic key event translator
  tcp          - Send input to a tcp socket
Homepage: http://www.ggi-project.org/
Description-md5: 21681380782154075e6bea7f05831352
Tag: role::shared-lib
Section: libs
Priority: optional
Filename: pool/main/libg/libgii/libgii1_1.0.2-4.1_amd64.deb
Size: 302682
MD5sum: 58afea82f27a6be41f892a5b3cc5baff
SHA1: 57dc58140520776363a292a755c82eec198d3adf
SHA256: 8e47eccdbfc3af77923d6ba31fccd635a33e1cd2e380dd66008565478edff6b8

Package: libgii1
Status: install ok installed
Priority: optional
Section: libs
Installed-Size: 852
Maintainer: Bradley Smith <bradsmith@debian.org>
Architecture: amd64
Source: libgii
Version: 1:1.0.2-4
Replaces: libgg0, libggi1 (<< 981030)
Provides: libgg0
Depends: libc6 (>= 2.7-1), libx11-6
Recommends: libgii1-target-x (= 1:1.0.2-4)
Conflicts: libgg0, libggi1, libgii0
Conffiles:
 /etc/ggi/libgii.conf 32050606fd7ff1db4e386e94cb7a3649
 /etc/ggi/filter/keytrans 671f63059043fa88888c769cdb11dd3b
 /etc/ggi/filter/mouse da11a749567f5adb5885b699bdae0a51
Description-en: General Input Interface runtime libraries
 "General Graphics Interface" - a fast, portable graphics environment.
 .
 This package contains the shared libraries for LibGII, the input library
 developed by the GGI project. Also included is LibGG, the library
 containing GGI's configuration and target option parsing code.
 .
 Install libgii-target packages for specific input modules!
 .
 This package contains input modules for these devices:
 .
  null         - Dummy input device which never generates any input
  stdin        - Characters from standard input
  file         - Input saved by the "save" input filter
  tcp          - Input from a socket
  linux_kbd    - Raw Linux keyboard devices
  linux_mouse  - Linux mouse devices
  linux_joy    - Linux joystick devices
  linux_evdev  - New style HIDs
  mouse        - Mice of all sorts: Microsoft, MouseSystems, Logitech, Sun,
               - MouseMan, MMSeries, BusMouse and PS2
  spaceorb     - SpaceOrb 3D input device
 .
 Usually, it is not necessary to specify which of these input devices you
 want to use; LibGGI normally finds an appropriate input device.
 .
 These input filter modules are also included:
 .
  mouse        - Generic mouse event generator
  save         - Save away an event stream for later playback
  keytrans     - Generic key event translator
  tcp          - Send input to a tcp socket
Homepage: http://www.ggi-project.org/

Package: libgii1-target-x
Source: libgii
Version: 1:1.0.2-4.1
Installed-Size: 137
Maintainer: Bradley Smith <bradsmith@debian.org>
Architecture: amd64
Replaces: libgii0 (<< 1:0.8.1+rc5)
Depends: libc6 (>= 2.3), libgii1, libx11-6
Conflicts: libgii0 (<< 1:0.8.1+rc5), libgii0-target-x
Description-en: General Input Interface X input target
 "General Graphics Interface" - a fast, portable graphics environment.
 .
 This package contains input modules that make input sources available for
 use with LibGII, the input library developed by the GGI project.
 .
 Input modules are included for these devices:
 .
  x            - Keyboard and mouse input from a newly created X window
  xwin         - Keyboard, mouse and expose input from an existing X window
 .
 Usually, it is not necessary to specify which of these input devices you
 want to use; LibGGI normally finds an appropriate input device.
Homepage: http://www.ggi-project.org/
Description-md5: 4320bbb7c15dcd9abee64af06ba14287
Tag: hardware::input, role::plugin
Section: libs
Priority: optional
Filename: pool/main/libg/libgii/libgii1-target-x_1.0.2-4.1_amd64.deb
Size: 85538
MD5sum: 854bea51b6099f488446253a3cc4a27d
SHA1: 2cf46f47c99b61f503d2232b3b91cdf708064b48
SHA256: 1df57e71b67f540eb252b65341ce0bf143914f80b4981d437aa5cd9a0f1b3a3f

Package: libgii1-target-x
Status: install ok installed
Priority: optional
Section: libs
Installed-Size: 144
Maintainer: Bradley Smith <bradsmith@debian.org>
Architecture: amd64
Source: libgii
Version: 1:1.0.2-4
Replaces: libgii0 (<< 1:0.8.1+rc5)
Depends: libc6 (>= 2.7-1), libgii1, libx11-6
Conflicts: libgii0 (<< 1:0.8.1+rc5), libgii0-target-x
Description-en: General Input Interface X input target
 "General Graphics Interface" - a fast, portable graphics environment.
 .
 This package contains input modules that make input sources available for
 use with LibGII, the input library developed by the GGI project.
 .
 Input modules are included for these devices:
 .
  x            - Keyboard and mouse input from a newly created X window
  xwin         - Keyboard, mouse and expose input from an existing X window
 .
 Usually, it is not necessary to specify which of these input devices you
 want to use; LibGGI normally finds an appropriate input device.
Homepage: http://www.ggi-project.org/

Package: libgii1-dev
Source: libgii
Version: 1:1.0.2-4.1
Installed-Size: 653
Maintainer: Bradley Smith <bradsmith@debian.org>
Architecture: amd64
Replaces: libgg-dev, libgg0-dev, libgii0 (<< 1:0.8.1)
Provides: libgg-dev, libgg0-dev, libgii-dev, libgii0-dev
Depends: libc6 (>= 2.2.5), libgii1 (= 1:1.0.2-4.1), libx11-6
Conflicts: libgg-dev, libggi1, libgii-dev, libgii0 (<< 1:0.8.1), libgii0-dev
Description-en: General Input Interface development package
 "General Graphics Interface" - a fast, portable graphics environment.
 .
 This package contains the development environment for LibGII, the GGI
 project's General Input Interface, and LibGG, the library containing GGI's
 configuration and target option parsing code.
 .
 Two useful demo programs are also included:
  mhub          - Translate LibGGI events to mouse events
  xsendbut      - Translate mhub to X button events
Homepage: http://www.ggi-project.org/
Description-md5: d29d716e5436e34f8b3471aad332a31b
Tag: devel::lang:c, devel::library, implemented-in::c, role::devel-lib,
 x11::library
Section: libdevel
Priority: optional
Filename: pool/main/libg/libgii/libgii1-dev_1.0.2-4.1_amd64.deb
Size: 212466
MD5sum: 11a7722d4063796158b6268a2cab4d85
SHA1: 8fbd14ec4d536c68da9720e843ec99ee5a6e9afe
SHA256: 6ff85824e71945512b256d280217caf8a8f6fb9012f50dd97285aefd6a6a0b06

[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'wnpp' to 'ftp.debian.org'. Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sun, 26 Jan 2014 19:09:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: libgii -- RoQA; orphaned, dead upstream' from 'O: libgii -- General Input Interface runtime libraries' Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sun, 26 Jan 2014 19:09:05 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Fri, 31 Jan 2014 19:31:45 GMT) Full text and rfc822 format available.

Notification sent to Ricardo Mones <mones@debian.org>:
Bug acknowledged by developer. (Fri, 31 Jan 2014 19:31:45 GMT) Full text and rfc822 format available.

Message #14 received at 674880-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 674880-close@bugs.debian.org
Cc: libgii@packages.debian.org, libgii@packages.qa.debian.org
Subject: Bug#674880: Removed package(s) from unstable
Date: Fri, 31 Jan 2014 19:19:21 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

    libgii | 1:1.0.2-4.1 | source
   libgii1 | 1:1.0.2-4.1 | amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390x, sparc
   libgii1 | 1:1.0.2-4.1+b1 | hurd-i386
libgii1-dev | 1:1.0.2-4.1 | amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390x, sparc
libgii1-dev | 1:1.0.2-4.1+b1 | hurd-i386
libgii1-target-x | 1:1.0.2-4.1 | amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390x, sparc
libgii1-target-x | 1:1.0.2-4.1+b1 | hurd-i386

------------------- Reason -------------------
RoQA; orphaned, dead upstream
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive and will not propagate to any mirrors until the next
dinstall run at the earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close bugs which have been reported against this package
automatically. But please check all old bugs, if they were closed
correctly or should have been re-assigned to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674880@bugs.debian.org.

The full log for this bug can be viewed at https://bugs.debian.org/674880

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Mar 2014 07:38:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:10:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.